#
# spec file for package geoipupdate
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           geoipupdate
Version:	2.1.0
Release:	4.3
License:	GPL-2.0
Summary:	GeoIP update client code
Url:		https://www.maxmind.com
Group:		System/Tools
Source0:	https://github.com/maxmind/geoipupdate/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(zlib)
BuildRequires: 	pkgconfig(libcurl)
Conflicts:	GeoIP < 1.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GeoIP Update program performs automatic updates of GeoIP2 and GeoIP 
Legacy binary databases. Currently the program only supports Linux and 
other Unix- like systems.

%prep
%setup -q

%build
%configure \
	--datadir=%{_localstatedir}/lib
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}
install -m 644 %{SOURCE1} .
install -d %{buildroot}%{_localstatedir}/lib/GeoIP

%files
%defattr(-,root,root)
%doc README.md ChangeLog.md gpl-2.0.txt
%config(noreplace) %{_sysconfdir}/GeoIP.conf
%config %{_sysconfdir}/GeoIP.conf.default
%dir %{_localstatedir}/lib/GeoIP
%{_bindir}/geoipupdate
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*

%changelog
* Sat Feb 21 2015 mpluskal@suse.com
- Initial packaging
